### Function

# Gio IOExtensionPoint implement

#### Declaration

    GIOExtension*
    g_io_extension_point_implement (
      const char* extension_point_name,
      GType type,
      const char* extension_name,
      gint priority
    )

#### Description

Registers `type` as extension for the extension point with name `extension_point_name`.

If `type` has already been registered as an extension for this extension point, the existing `GIOExtension` object is returned.

#### Parameters

`extension_point_name`

  Type: `const char*`

  The name of the extension point.

  The data is owned by the caller of the function.
  The value is a NUL terminated UTF-8 string.

`type`

  Type: `GType`

  The `GType` to register as extension.

`extension_name`

  Type: `const char*`

  The name for the extension.

  The data is owned by the caller of the function.
  The value is a NUL terminated UTF-8 string.

`priority`

  Type: `gint`

  The priority for the extension.

#### Return value

Type: `GIOExtension`

A `GIOExtension` object for `GType`.

The data is owned by the called function.